/*
 * Class ARRAY [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2018 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2018 [] = {0xFF01,1551,2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2018 [] = {0xFF01,2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2018 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2018 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2018 [] = {0xFF01,2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2018 [] = {0xFF01,2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2018 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2018 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2018 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2018 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2018 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2018 [] = {2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2018 [] = {0xFF01,2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2018 [] = {0xFF01,2018,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2018 [] = {0xFF01,2013,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2018 [] = {0xFF01,2011,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2018 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2018 [] = {0xFF01,2040,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2018 [] = {0xFF01,2011,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2018 [] = {0xFF01,2017,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_2018 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_2018 [] = {0xFF01,580,0xFFFF};


static const struct desc_info desc_2018[] = {
	{EIF_GENERIC(NULL), 11852, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2018), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2018), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2018), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2018), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2018), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2018), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2018), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2018), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2018), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2018), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2018), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2018), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2018), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2018), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8659, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2018), 11846, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2018), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9456, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9046, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11849, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11830, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2018), 11021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2018), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2018), 10511, 0},
	{EIF_GENERIC(NULL), 10504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10505, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2018), 11799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2018), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10510, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2018), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11797, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2018), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11803, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11804, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11820, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11821, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11823, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11824, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11827, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11832, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11842, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2018), 11843, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2018), 11844, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2018), 11845, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2018), 11848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11851, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2018), 11799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2018), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_2018), 11799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_2018), 11808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2018(void)
{
	IDSC(desc_2018, 0, 2017);
	IDSC(desc_2018 + 1, 1, 2017);
	IDSC(desc_2018 + 32, 1134, 2017);
	IDSC(desc_2018 + 41, 586, 2017);
	IDSC(desc_2018 + 47, 1135, 2017);
	IDSC(desc_2018 + 56, 1088, 2017);
	IDSC(desc_2018 + 58, 1422, 2017);
	IDSC(desc_2018 + 67, 4, 2017);
	IDSC(desc_2018 + 105, 916, 2017);
	IDSC(desc_2018 + 111, 1570, 2017);
	IDSC(desc_2018 + 114, 554, 2017);
	IDSC(desc_2018 + 115, 1395, 2017);
	IDSC(desc_2018 + 117, 778, 2017);
	IDSC(desc_2018 + 118, 878, 2017);
	IDSC(desc_2018 + 119, 794, 2017);
}


#ifdef __cplusplus
}
#endif
